10 '**********************************************************************
20 '*  Program     : DAOUT.BAS                                           *
30 '*  Description : Demo program for PCL-711 to perform D/A output      *
40 '*  Revision    : 1.00                                                *
50 '*  Date        : 6/15/92                       Advantech Co., Ltd.   *
60 '**********************************************************************
70 '
80 SCREEN 0,0,0:WIDTH 80:CLS:KEY OFF
90 CLEAR, 49152!
100 DEF SEG = 0
110 SG = 256 * PEEK(&H511) + PEEK(&H510)
120 SG = SG + 49152!/16
130 DEF SEG = SG
140 BLOAD "711BAS.BIN", 0
150 PCL711 = 0			   ' Driver entry point
160 '
170 DIM PARAM%(60)		   ' If two boards installed, need to declare
180				   ' the second parameter array
190 DIM DAT%(100)		   ' D/A output data buffer
200 '
210 PARAM%(0) = 0		   ' Board number
220 PARAM%(1) = &H220		   ' Base I/O address
230 PARAM%(20) = 0		   ' Offset of D/A output data buffer A
240 PARAM%(21) = &H7000 	   ' Segment of D/A output data buffer A
250 PARAM%(22) = 0		   ' Output data buffer B address, if not used,
260 PARAM%(23) = 0		   ' must set to 0.
270 '
280 ' If your BASICA does not support VARSEG() function, you can put 0
290 ' to PARAM%(21), it means to use current data segment.
300 ' If you want to use the absolute memory address, please follow the steps.
310 ' PARAM%(20) = 0               ' Make sure 7000:0 is empty.
320 ' PARAM%(21) = &H7000
330 ' DEF SEG = &H7000             ' Define segment
340 '
350 PARAM%(24) = 1		   ' D/A conversion number
360 PARAM%(25) = 0		   ' D/A conversion start channel
370 PARAM%(26) = 0		   ' D/A conversion stop channel
380 '
390 ' PARAM%(45) : Error Code
400 ' PARAM%(46) : Return Value 0
410 ' PARAM%(47) : Return Value 1
420 '
430 FUN% = 3			   ' FUNCTION 3
440 CALL PCL711(FUN%, PARAM%(0))   ' Func 3 : Hardware initialization
450 IF PARAM%(45) <> 0 THEN PRINT "DRIVER INITIALIZATION FAILED !":STOP
460 '
470 FUN% = 12			   ' FUNCTION 12
480 CALL PCL711(FUN%, PARAM%(0))   ' Func 12 : D/A initialization
490 IF PARAM%(45) <> 0 THEN PRINT "D/A INITIALIZATION FAILED !":STOP
500 '
510 INPUT "ENTER D/A DATA (0-4095) : ";DAT%(0)
520 DEF SEG = &H7000
530 POKE 0, DAT%(0) AND &HFF
540 POKE 1, (DAT%(0) \ 256) AND &HF
550 DEF SEG = SG
560 FUN% = 13			   ' FUNCTION 13
570 CALL PCL711(FUN%, PARAM%(0))   ' Func 13 : "N" times of D/A output
580 IF PARAM%(45) <> 0 THEN PRINT "D/A OUTPUT FAILED !":STOP
590 '
600 END
