10 '**********************************************************************
20 '*  Program     : DAOUT.BAS                                           *
30 '*  Description : Demo program for PCL-711 to perform D/A output      *
40 '*  Revision    : 1.00                                                *
50 '*  Date        : 6/15/92                       Advantech Co., Ltd.   *
60 '**********************************************************************
70 DIM PARAM%(60)		  ' If two boards installed, need to declare
80				  ' the second parameter array
90 DIM DAT%(100)		  ' D/A output data buffer
100 '
110 PARAM%(0) = 0		   ' Board number
120 PARAM%(1) = &H220		   ' Base I/O address
130 PARAM%(20) = VARPTR(DAT%(0))   ' Offset of D/A output data buffer A
140 PARAM%(21) = VARSEG(DAT%(0))   ' Segment of D/A output data buffer A
150 PARAM%(22) = 0		   ' Output data buffer B address, if not used,
160 PARAM%(23) = 0		   ' must set to 0.
170 '
180 ' If your BASICA does not support VARSEG() function, you can put 0
190 ' to PARAM%(21), it means to use current data segment.
200 ' If you want to use the absolute memory address, please follow the steps.
210 ' PARAM%(20) = 0               ' Make sure 7000:0 is empty.
220 ' PARAM%(21) = &H7000
230 ' DEF SEG = &H7000             ' Define segment
240 '
250 PARAM%(24) = 1		   ' D/A conversion number
260 PARAM%(25) = 0		   ' D/A conversion start channel
270 PARAM%(26) = 0		   ' D/A conversion stop channel
280 '
290 ' PARAM%(45) : Error Code
300 ' PARAM%(46) : Return Value 0
310 ' PARAM%(47) : Return Value 1
320 '
330 FUN% = 3			   ' FUNCTION 3
340 CALL PCL711(FUN%, SEG PARAM%(0))   ' Func 3 : Hardware initialization
350 IF PARAM%(45) <> 0 THEN PRINT "DRIVER INITIALIZATION FAILED !": STOP
360 '
370 FUN% = 12			   ' FUNCTION 12
380 CALL PCL711(FUN%, SEG PARAM%(0))   ' Func 12 : D/A initialization
390 IF PARAM%(45) <> 0 THEN PRINT "D/A INITIALIZATION FAILED !": STOP
400 '
410 INPUT "ENTER D/A DATA (0-4095) : "; DAT%(0)
420 '
430 FUN% = 13			   ' FUNCTION 13
440 CALL PCL711(FUN%, SEG PARAM%(0))   ' Func 13 : "N" times of D/A output
450				       '
460 IF PARAM%(45) <> 0 THEN PRINT "D/A OUTPUT FAILED !": STOP
470 '
480 END
