/*
     **********************************************************************
     *  Program     : DAOUT.C                                             *
     *  Description : Demo program for PCL-711 D/A output                 *
     *  Revision    : 1.00                                                *
     *  Date        : 6/05/92                       Advantech Co., Ltd.   *
     **********************************************************************
*/
#include <stdio.h>
#include <conio.h>
#include <stdlib.h>
#include <dos.h>

extern pcl711(int, unsigned int *);
unsigned int param[60];       /* If two boards installed, need to declare
                                 the second parameter array                */
unsigned int data[100];       /* D/A output data buffer                    */
unsigned int far * dat;
main()
{
       dat = data;
       param[0] = 0;             /* Board number                           */
       param[1] = 0x220;         /* Base I/O address                       */
       param[20] = FP_OFF(dat);  /* Offset of D/A output data buffer A     */
       param[21] = FP_SEG(dat);  /* Segment of D/A output data buffer A    */
       param[22] = 0;            /* Output data buffer B address, if not   */
       param[23] = 0;            /* used,must set to 0.                    */
       param[24] = 1;            /* D/A conversion number                  */
       param[25] = 0;            /* D/A conversion start channel           */
       param[26] = 0;            /* D/A conversion stop channel            */
       /* param[45] : Error code
          param[46] : Return value 0
          param[47] : Return value 1 */

       pcl711(3, param);         /* Func 3 : Hardware initialization       */
       if (param[45] != 0) {
            printf(" DRIVER INITIALIZATION FAILED !");
            exit(1);
            }

       pcl711(12, param);        /* Func 12 : D/A initialization           */
       if (param[45] != 0) {
            printf(" D/A INITIALIZATION FAILED !");
            exit(1);
            }

       printf("\nENTER D/A DATA (0 - 4095): ");  /* Enter D/A output data    */
       scanf("%d",&data[0]);

       pcl711(13, param);        /* Func 13 : "N" times of D/A output     */
       if (param[45] != 0) {
            printf(" D/A OUTPUT FAILED !");
            exit(1);
            }
}
