{
 **********************************************************************
 *  Program     : ADTRIG.PAS                                          *
 *  Description : Demo program for PCL-711 pacer trigger A/D          *
 *                conversion with software data transfer.             *
 *  Revision    : 1.00                                                *
 *  Date        : 6/15/92                       Advantech Co., Ltd.   *
 **********************************************************************
}
program  pcl;
uses     crt;
var
   param : array[0..60] of word; { If two boards installed, need to
                                      declare the second parameter array  }
   dat   : array[0..100] of integer;{ Conversion data buffer              }
   func  : integer;
{$L 711TPF}
{$F+}
procedure  pcl711(func:integer;var param:word);external;

VAR
   i     : integer;
   DataBuf : real;
BEGIN
       param[0] := 0;             { Board number                          }
       param[1] := $220;          { Base I/O address                      }
       param[5] := 50;            { Pacer Rate = 2M / (50 * 100) = 400 Hz }
       param[6] := 100;
       param[7] := 0;             { 0: Pacer trigger                      }
       param[10] := ofs(dat);     { Offset of A/D data buffer A           }
       param[11] := seg(dat);     { Segment of A/D data buffer A          }
       param[12] := 0;            { Data buffer B address, if not used,   }
       param[13] := 0;            { must set to 0.                        }
       param[14] := 50;           { A/D conversion number                 }
       param[15] := 0;            { A/D conversion start channel          }
       param[16] := 0;            { A/D conversion stop channel           }
       param[17] := 0;            { Overall gain code, 0 : +/- 5V         }
       { param[45] : Error code
         param[46] : Return value 0
         param[47] : Return value 1 }

       func := 3;
       pcl711(func, param[0]);    { Func 3 : Hardware initialization      }
       if (param[45] <> 0)
       then
            BEGIN
               writeln(' DRIVER INITIALIZATION FAILED !');
               exit;
            END;

       func := 4;
       pcl711(func, param[0]);    { Func 4 : A/D initialization           }
       if (param[45] <> 0)
       then
            BEGIN
               writeln(' A/D INITIALIZATION FAILED !');
               exit;
            END;

       func := 5;
       pcl711(func, param[0]);    { Func 5 : "N" times of A/D trigger     }
       if (param[45] <> 0)
       then
            BEGIN
               writeln(' A/D SOFTWARE DATA TRANSFER FAILED !');
               exit;
            END;

       for i := 0 to (param[14] - 1) do  { Display data                   }
	 BEGIN
	    DataBuf := dat[i] AND $FFF;
	    DataBuf := ( (5 - (-5)) * DataBuf / 4096) + (-5);
	    {
	       (5 - (-5)) : A/D input range (-5V  to  5V)
	       4096       : Full scale 12 bit A/D data
	       DataBuf    : A/D input data
	       (-5)       : A/D input range "-5" V
	    }
	    writeln('data[', i:3, '] = ', DataBuf: 5:2,'  V');
	 END;

END.
