{
 **********************************************************************
 *  Program     : DAOUT.PAS                                           *
 *  Description : Demo program for PCL-711 D/A output                 *
 *  Revision    : 1.00                                                *
 *  Date        : 6/15/92                       Advantech Co., Ltd.   *
 **********************************************************************
}
program  pcl;
uses     crt;
var
   param : array[0..60] of word;  { If two boards installed, need to
                                       declare the second parameter array }
   dat   : array[0..100] of integer; { D/A output data buffer             }
   func  : integer;
{$L 711TPF}
{$F+}
procedure  pcl711(func:integer;var param:word);external;

VAR
   i     : integer;
BEGIN
       param[0] := 0;             { Board number                          }
       param[1] := $220;          { Base I/O address                      }
       param[20] := ofs(dat);     { Offset of D/A output data buffer A    }
       param[21] := seg(dat);     { Segment of D/A output data buffer A   }
       param[22] := 0;            { Output data buffer B address, if not  }
       param[23] := 0;            { used, must set to 0.                  }
       param[24] := 1;            { D/A conversion number                 }
       param[25] := 0;            { D/A conversion start channel          }
       param[26] := 0;            { D/A conversion stop channel           }
       { param[45] : Error code
         param[46] : Return value 0
         param[47] : Return value 1 }

       func := 3;
       pcl711(func, param[0]);    { Func 3 : Hardware initialization      }
       if (param[45] <> 0)
       then
            BEGIN
               writeln(' DRIVER INITIALIZATION FAILED !');
               exit;
            END;

       func := 12;
       pcl711(func, param[0]);      { Func 12 : D/A initialization          }
       if (param[45] <> 0)
       then
            BEGIN
               writeln(' D/A INITIALIZATION FAILED !');
               exit;
            END;

       writeln('ENTER D/A DATA (0-4095): ');  { Enter D/A output data     }
       read(dat[0]);

       func := 13;
       pcl711(func, param[0]);    { Func 13 : "N" times of D/A output     }
       if (param[45] <> 0)
       then
            BEGIN
               writeln(' D/A OUTPUT FAILED !');
               exit;
            END;
END.
