{
 **********************************************************************
 *  Program     : DIGIN.PAS                                           *
 *  Description : Demo program for PCL-711 digital input              *
 *  Revision    : 1.00                                                *
 *  Date        : 6/15/92                       Advantech Co., Ltd.   *
 **********************************************************************
}
program  pcl;
uses     crt;
var
   param : array[0..60] of word;  { If two boards installed, need to
                                       declare the second parameter array }
   dat   : array[0..100] of byte;    { digital input data buffer          }
   func  : integer;
{$L 711TPF}
{$F+}
procedure  pcl711(func:integer;var param:word);external;

VAR
   i     : integer;
BEGIN
       param[0] := 0;             { Board number                          }
       param[1] := $220;          { Base I/O address                      }
       param[5] := 50;            { Pacer Rate = 2M / (50 * 100) = 400 Hz }
       param[6] := 100;
       param[27] := ofs(dat);     { Offset of digital input data buffer A }
       param[28] := seg(dat);     { Segment of digital input data buffer A}
       param[29] := 0;            { Data buffer B address, if not used,   }
       param[30] := 0;            { must set to 0.                        }
       param[31] := 50;           { Digital input number                  }
       param[32] := 0;            { Digital input port                    }
       { param[45] : Error code
         param[46] : Return value 0
         param[47] : Return value 1 }

       func := 3;
       pcl711(func, param[0]);    { Func 3 : Hardware initialization      }
       if (param[45] <> 0)
       then
            BEGIN
               writeln(' DRIVER INITIALIZATION FAILED !');
               exit;
            END;

       func := 20;
       pcl711(func, param[0]);    { Func 20 : Digital input initialization }
       if (param[45] <> 0)
       then
            BEGIN
               writeln(' DIGITAL INPUT INITIALIZATION FAILED !');
               exit;
            END;

       func := 21;
       pcl711(func, param[0]);    { Func 21 : "N" times of Digital input  }
       if (param[45] <> 0)
       then
            BEGIN
               writeln(' DIGITAL INPUT FAILED !');
               exit;
            END;

       for i := 0 to (param[31]-1) do         { Display data              }
            writeln('data[', i:3,'] = ', dat[i]:5);
END.
